Main Page | Namespace List | Class Hierarchy | Class List | Directories | File List | Namespace Members | Class Members | File Members | Search for

# ReferenceBox Class Reference

`#include <Polygon.h>`

Inheritance diagram for ReferenceBox:

List of all members.

## Public Member Functions
| ReferenceBox (string subscript="")
virtual | ~ReferenceBox ()
virtual int | no_vertices ()
virtual GiNaC::ex | vertex (int i)
virtual Line | line (int i)
virtual GiNaC::ex | repr (Repr_format format=SUBS_PERFORMED)
virtual string | str ()
virtual GiNaC::ex | integrate (GiNaC::ex f)

## Detailed Description

Definition at line 187 of file Polygon.h.

## Constructor & Destructor Documentation

ReferenceBox::ReferenceBox | ( | string | subscript = `""` | ) |

| Definition at line 1351 of file Polygon.cpp. References Polygon::p, and Polygon::subscript.
    01351                                              {
    01352   subscript = subscript_;
    01353   GiNaC::ex x0 = GiNaC::lst(0,0,0);
    01354   GiNaC::ex x1 = GiNaC::lst(1,0,0);
    01355   GiNaC::ex x2 = GiNaC::lst(1,1,0);
    01356   GiNaC::ex x3 = GiNaC::lst(0,1,0);
    01357
    01358   GiNaC::ex x4 = GiNaC::lst(0,0,1);
    01359   GiNaC::ex x5 = GiNaC::lst(1,0,1);
    01360   GiNaC::ex x6 = GiNaC::lst(1,1,1);
    01361   GiNaC::ex x7 = GiNaC::lst(0,1,1);
    01362
    01363   p.insert(p.end(), x0);
    01364   p.insert(p.end(), x1);
    01365   p.insert(p.end(), x2);
    01366   p.insert(p.end(), x3);
    01367
    01368   p.insert(p.end(), x4);
    01369   p.insert(p.end(), x5);
    01370   p.insert(p.end(), x6);
    01371   p.insert(p.end(), x7);
    01372
    01373 }

virtual ReferenceBox::~ReferenceBox | ( |  | ) | `[inline, virtual]`

| Definition at line 190 of file Polygon.h.
    00190 {}

## Member Function Documentation

GiNaC::ex ReferenceBox::integrate | ( | GiNaC::ex | f | ) | `[virtual]`

| Reimplemented from Box. Definition at line 1393 of file Polygon.cpp. References Box::integrate(). Referenced by main().
    01393                                              {
    01394   return Box::integrate(func);
    01395 }

Line ReferenceBox::line | ( | int | i | ) | `[virtual]`

| Reimplemented from Box. Definition at line 1381 of file Polygon.cpp. References Box::line().
    01381                               {
    01382   return Box::line(i);
    01383 }

int ReferenceBox::no_vertices | ( |  | ) | `[virtual]`

| Reimplemented from Box. Definition at line 1375 of file Polygon.cpp.
    01375 { return 8; }

GiNaC::ex ReferenceBox::repr | ( | Repr_format | format = `SUBS_PERFORMED` | ) | `[virtual]`

| Reimplemented from Box. Definition at line 1385 of file Polygon.cpp. References Box::repr(). Referenced by main().
    01385                                               {
    01386   return Box::repr(format);
    01387 }

string ReferenceBox::str | ( |  | ) | `[virtual]`

| Reimplemented from Box. Definition at line 1389 of file Polygon.cpp.
    01389                            {
    01390   return "ReferenceBox";
    01391 }

GiNaC::ex ReferenceBox::vertex | ( | int | i | ) | `[virtual]`

| Reimplemented from Box. Definition at line 1377 of file Polygon.cpp. References Box::vertex().
    01377                                     {
    01378   return Box::vertex(i);
    01379 }

The documentation for this class was generated from the following files:

- Polygon.h
- Polygon.cpp